Create or update email processor

Creates an email processor with the specified name, or updates it if one already exists. Specify the document types Sensible extracts from the email body and attachments, and the webhooks that receive extraction results.

When updating an existing processor, you can replace any combination of webhooks, bodySpec, and attachmentSpecs. The URL path sets the processor name and you cannot change it after creation. To rename a processor, delete it and create a new one under the desired name.

After you create a processor, send emails to the processor's email address to trigger extraction. Find a processor's email addresses by clicking the processor in the Email processors tab of the Sensible app. To route emails to the development-environment webhook instead, use the development. prefix on the processor's email address: development.{email_address}. For more information, see Getting started with email extraction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The processor name. Must consist of lowercase letters, numbers, and underscores.

Body Params

Configuration for an email processor. You must specify at least one of bodySpec or attachmentSpecs.

webhooks
array
required
length ≥ 1

Array of webhooks that receive extraction results for an email processor. The first element is a production Webhook, a URL with no environment field. Optional additional elements are EnvironmentWebhook objects that route results to a different URL for a specific environment. Source email metadata (the sender address, subject line, message ID, and recipient list) is only available in the webhook payload. You can view extracted field values through the Sensible app and API, but you cannot identify the source email for an extraction without the webhook's email metadata.

webhooks*

The default webhook. Sensible extracts using configs published to the production environment and sends results to this URL. To use development configs and route results to a different URL, add an EnvironmentWebhook as an additional element.

uri
required

The URL Sensible posts extraction output to.

bodySpec
object

Extracts data using a single document type.

attachmentSpecs
array of objects
length between 1 and 1

Specifies how Sensible uses the listed document types to extract data from email attachments. Provide exactly one element. Use doctype to extract data using a single document type, classification to let Sensible pick the best-matching type, or portfolio to treat each attachment as a multi-document file and classify each document in the portfolio using the listed document types. Omit if you only need to extract from the email body.

attachmentSpecs

Extracts data using a single document type.

string
enum
required
Allowed:
string
required

The ID of the document type Sensible uses to extract data.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain